/*=============================================================================
	Copyright (c) 1999-2003 pmG Worldwide, LLC.

	File:	messiah_data.h
	Author:	Lyle Milton
	Date:	05/09/03

	------------------------------------------------------------



=============================================================================*/

#ifdef _MESSIAH_API_GROUP


#ifndef __MESSIAH_GROUP
#define __MESSIAH_GROUP


#ifndef __MESSIAH_HIDE_TYPES

#endif //__MESSIAH_HIDE_TYPES




FX_API(FXgroup, fxGroupCreate)(FXchar *name, FXint flags);

FX_API(FXint, fxGroupDelete)(FXgroup, FXint flags);

FX_API(FXint, fxGroupFirst)(FXgroup *, FXint flags);

FX_API(FXint, fxGroupNext)(FXgroup, FXgroup *nextID, FXint flags);

FX_API(FXint, fxGroupPrev)(FXgroup, FXgroup *prevID, FXint flags);

FX_API(FXint, fxGroupName)(FXgroup, FXchar *buffer, FXint buffer_length, FXint flags);

FX_API(FXint, fxGroupRename)(FXgroup, FXchar *name, FXint flags);

FX_API(FXint, fxGroupMemberFirst)(FXgroup, FXentity *ID, FXint flags);

FX_API(FXint, fxGroupMemberNext)(FXgroup, FXentity memberID, FXentity *nextID, FXint flags);

FX_API(FXint, fxGroupMemberPrev)(FXgroup, FXentity memberID, FXentity *prevID, FXint flags);

FX_API(FXint, fxGroupMemberAdd)(FXgroup, FXentity, FXint *ID, FXint flags);

FX_API(FXint, fxGroupMemberRemove)(FXgroup, FXentity, FXint ID, FXint flags); //This function isn't currently active

FX_API(FXint, fxGroupFind)(FXchar *name, FXgroup*);

FX_API(FXint, fxGroupPrimaryGet)(FXentity, FXgroup*, FXint flags);

FX_API(FXint, fxGroupPrimarySet)(FXentity, FXgroup, FXint flags);

FX_API(FXint, fxGroupIsMember)(FXgroup, FXentity, FXint flags);

FX_API(FXint, fxGroupColorGet)(FXgroup, FX_Color *c, FXint flags);

FX_API(FXint, fxGroupColorSet)(FXgroup, FX_Color c, FXint flags);


#define _MESSIAH_PTR_GROUP		messiah_apicomponent = FX_APIFUNCS_GROUP;\
								FX_PTR(fxGroupCreate);\
								FX_PTR(fxGroupDelete);\
								FX_PTR(fxGroupFirst);\
								FX_PTR(fxGroupNext);\
								FX_PTR(fxGroupPrev);\
								FX_PTR(fxGroupName);\
								FX_PTR(fxGroupRename);\
								FX_PTR(fxGroupMemberFirst);\
								FX_PTR(fxGroupMemberNext);\
								FX_PTR(fxGroupMemberPrev);\
								FX_PTR(fxGroupMemberAdd);\
								FX_PTR(fxGroupMemberRemove);\
								FX_PTR(fxGroupFind);\
								FX_PTR(fxGroupPrimaryGet);\
								FX_PTR(fxGroupPrimarySet);\
								FX_PTR(fxGroupIsMember);\
								FX_PTR(fxGroupColorGet);\
								FX_PTR(fxGroupColorSet)

#endif //__MESSIAH_GROUP




#endif //_MESSIAH_API_GROUP


