/*=============================================================================
	Copyright (c) 1999-2003 pmG Worldwide, LLC.

	File:	messiah_time.h
	Author:	Lyle Milton
	Date:	01/01/03

		last modified: 2/04/03 - LM

=============================================================================*/

#ifdef _MESSIAH_API_TIME

#ifndef __MESSIAH_TIME
#define __MESSIAH_TIME

#define NOW		fxFrameCalcGet()

#define FX_FCALC_SETFRAME	(1<<0)
#define FX_FCALC_UPDATE		(1<<1)


FX_API(FXvoid, fxFrameCalculate)(FXdouble frame, FXint flags);

FX_API(FXdouble, fxFrameCalcGet)(FXvoid);

FX_API(FXdouble, fxFrameGet)(FXvoid);

FX_API(FXvoid, fxFrameSet)(FXdouble frame);

FX_API(FXdouble, fxTimeGet)(FXvoid);

FX_API(FXvoid, fxTimeSet)(FXdouble time);

FX_API(FXdouble, fxFPSGet)(FXvoid);

FX_API(FXint, fxFPSSet)(FXdouble fps);

FX_API(FXvoid, fxFrameRangeGet)(FXdouble *in, FXdouble *out);

FX_API(FXvoid, fxFrameRangeSet)(FXdouble in, FXdouble out);



#define _MESSIAH_PTR_TIME	messiah_apicomponent = FX_APIFUNCS_TIME;\
							FX_PTR(fxFrameCalculate);\
							FX_PTR(fxFrameCalcGet);\
							FX_PTR(fxFrameGet);\
							FX_PTR(fxFrameSet);\
							FX_PTR(fxTimeGet);\
							FX_PTR(fxTimeSet);\
							FX_PTR(fxFPSGet);\
							FX_PTR(fxFPSSet);\
							FX_PTR(fxFrameRangeGet);\
							FX_PTR(fxFrameRangeSet)


#endif //__MESSIAH_TIME

#endif //_MESSIAH_API_TIME
